<?php

namespace Modules\Admin\Repositories\Interfaces;

use Illuminate\Database\Eloquent\Collection;
use Illuminate\Pagination\LengthAwarePaginator;
use Modules\Payment\Models\PaymentMethod;

interface PaymentMethodRepositoryInterface
{
    public function all(): Collection;
    public function find(int $id): ?PaymentMethod;
    public function create(array $data): PaymentMethod;
    public function update(int $id, array $data): PaymentMethod;
    public function delete(int $id): bool;
    public function paginate(int $perPage = 10): LengthAwarePaginator;
    public function count(): int;
}
